## API Report File for "react-oidc-context"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

import type { QuerySessionStatusArgs } from 'oidc-client-ts';
import { default as React_2 } from 'react';
import type { RevokeTokensTypes } from 'oidc-client-ts';
import type { SessionStatus } from 'oidc-client-ts';
import type { SigninPopupArgs } from 'oidc-client-ts';
import type { SigninRedirectArgs } from 'oidc-client-ts';
import type { SigninSilentArgs } from 'oidc-client-ts';
import type { SignoutPopupArgs } from 'oidc-client-ts';
import type { SignoutRedirectArgs } from 'oidc-client-ts';
import { User } from 'oidc-client-ts';
import { UserManager } from 'oidc-client-ts';
import { UserManagerSettings } from 'oidc-client-ts';

// @public (undocumented)
export const AuthContext: React_2.Context<AuthContextProps | undefined>;

// @public (undocumented)
export interface AuthContextProps extends AuthState {
    // (undocumented)
    clearStaleState(): Promise<void>;
    // (undocumented)
    querySessionStatus(args?: QuerySessionStatusArgs): Promise<SessionStatus | null>;
    // (undocumented)
    removeUser(): Promise<void>;
    // (undocumented)
    revokeTokens(types?: RevokeTokensTypes): Promise<void>;
    readonly settings: UserManagerSettings;
    // (undocumented)
    signinPopup(args?: SigninPopupArgs): Promise<User>;
    // (undocumented)
    signinRedirect(args?: SigninRedirectArgs): Promise<void>;
    // (undocumented)
    signinSilent(args?: SigninSilentArgs): Promise<User | null>;
    // (undocumented)
    signoutPopup(args?: SignoutPopupArgs): Promise<void>;
    // (undocumented)
    signoutRedirect(args?: SignoutRedirectArgs): Promise<void>;
    // (undocumented)
    startSilentRenew(): void;
    // (undocumented)
    stopSilentRenew(): void;
}

// @public
export const AuthProvider: (props: AuthProviderProps) => JSX.Element;

// @public (undocumented)
export interface AuthProviderProps extends UserManagerSettings {
    children?: React_2.ReactNode;
    implementation?: typeof UserManager | null;
    onRemoveUser?: () => Promise<void> | void;
    onSigninCallback?: (user: User | void) => Promise<void> | void;
    onSignoutPopup?: () => Promise<void> | void;
    onSignoutRedirect?: () => Promise<void> | void;
    skipSigninCallback?: boolean;
}

// @public
export interface AuthState {
    activeNavigator?: "signinRedirect" | "signinPopup" | "signinSilent" | "signoutRedirect" | "signoutPopup";
    error?: Error;
    isAuthenticated: boolean;
    isLoading: boolean;
    user?: User | null;
}

// @public (undocumented)
export const hasAuthParams: (location?: Location) => boolean;

// @public (undocumented)
export const useAuth: () => AuthContextProps;

// @public
export function withAuth<P extends AuthContextProps>(Component: React_2.ComponentType<P>): React_2.ComponentType<Omit<P, keyof AuthContextProps>>;

// (No @packageDocumentation comment for this package)

```
